plugins {
    id 'com.android.application'
}

android {
    namespace 'com.example.myapplication'
    compileSdk 32

    defaultConfig {
        applicationId "com.example.myapplication"
        minSdk 19
        targetSdk 30
        versionCode 1
        versionName "1.0"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        ndk {
            // 设置支持的SO库架构（开发者可以根据需要，选择一个或多个平台的so）
            abiFilters "armeabi", "armeabi-v7a", "arm64-v8a", "x86","x86_64"
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }

}

dependencies {

    implementation 'androidx.appcompat:appcompat:1.5.1'
    implementation 'com.google.android.material:material:1.6.1'
    implementation 'androidx.constraintlayout:constraintlayout:2.1.4'
<<<<<<< HEAD
    implementation 'com.baidu.lbsyun:BaiduMapSDK_Map-AllNavi:7.4.0'
    implementation files('libs/Msc.jar')
    implementation files('libs\\android-support-v4.jar')
=======
    implementation files('libs\\BaiduLBS_Android.jar')
    implementation files('libs\\BaiduLBS_Android.jar')
    implementation files('libs\\BaiduLBS_Android.jar')
    implementation files('libs\\BaiduLBS_Android.jar')
    implementation files('libs\\BaiduLBS_Android.jar')
    implementation files('libs\\BaiduLBS_Android.jar')
>>>>>>> dc8dfd73a8a58508fec99a79684ba5574328c7e7
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.3'
    implementation 'androidx.work:work-runtime:2.7.1'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.4.0'
    implementation 'com.baidu.lbsyun:BaiduMapSDK_Location:9.1.8'

}